=== debian/changelog ===
onionprobe (0.3.2) unstable; urgency=medium

  * New upstream version.
  * Leave examples only at /usr/lib/python3/dist-packages.

 -- Silvio Rhatto <rhatto@torproject.org>  Wed, 11 May 2022 09:50:53 -0300

onionprobe (0.3.1) unstable; urgency=medium

  * New upstream version.
  * Add examples folder.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 03 May 2022 13:18:40 -0300

onionprobe (0.3.0) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Tue, 19 Apr 2022 16:52:11 -0300

onionprobe (0.2.2) unstable; urgency=medium

  * New upstream version.

 -- Silvio Rhatto <rhatto@torproject.org>  Mon, 11 Apr 2022 09:09:35 -0300
